Bug 789045 - Remove Unused RHN Hosted Remote Repository Sync Plugin
Remove Unused RHN Hosted Remote Repository Sync Plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
medium Severity low (vote)
: ---
: JON 3.0.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 782207
Blocks: 788629
  Show dependency treegraph
 
Reported: 2012-02-09 11:30 EST by Stefan Negrea
Modified: 2013-09-03 11:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 782207
Environment:
Last Closed: 2013-09-03 11:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-02-09 11:30:17 EST
+++ This bug was initially created as a clone of Bug #782207 +++

Description of problem:
The RHN hosted remote repository sync server-side plugin is no longer in use and incompatible with current content repository. First, the plugin is not loaded in the server container which shows that users no longer use this plugin. Second, the plugin code cannot be updated to match the latest content system requirements (have SHA256 for all synchronized packages) because the SHA256 is missing from repository description.

How reproducible:
Everytime

Steps to Reproduce:
1. N/A


Additional info:
Since the plugin is not used and the code cannot be updated to match newer requirements, removing this could simplifies the project structure and reduces the amount of unused/unfinished code. If at any point in time this plugin is needed again it can be easily brought back to life from the SCM history.

The maven module is: modules/enterprise/server/plugins/rhnhosted/

--- Additional comment from mazz@redhat.com on 2012-01-16 15:49:13 EST ---

FYI: This plugin was never finished. It was part of a now-aborted attempt to support the Red Hat Network. Not even sure if the Red Hat Network backend is even the same - so this plugin is probably in a really bad state - if its salvageable at all.
Comment 1 Stefan Negrea 2012-02-09 11:36:52 EST
release/jon3.0.x branch release:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=85db1736851b8ba0c7eb85708f91e873b55981d4
Comment 2 Simeon Pinder 2012-02-10 17:44:50 EST
Moving to ON_QA as new RC 4 available to test in:
https://brewweb.devel.redhat.com//buildinfo?buildID=198384
Comment 3 Mike Foley 2012-02-13 10:41:41 EST
verified JON 3.01 RC4
Comment 4 Heiko W. Rupp 2013-09-03 11:04:00 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.